#include <stdio.h>

#include "event_config.h"


int main (int argc, char **argv) {
    if (argc != 2) {
        fprintf(stderr, "Illegal number of arguments, usage:\n  %s <app event file>\n",
            argv[0]);
        return 1;
    }
    int i;
    event_config_t* config = scan_event_file (argv[1]);

    if (config != NULL) {
        printf("version: %d\n", config->version);
        printf("listener count: %d\n", config->listener_count);
        printf("\n");
        for (i = 0; i < config->listener_count; i++) {
            event_listener_t *listener = config->listeners[i];
            printf("%s:\n", listener->name);
            printf("  type:        %d\n", listener->type);
            printf("  pattern:     %s\n", listener->pattern);
            printf("  script:      %s\n", listener->script);
            printf("  cwd:         %s\n", listener->cwd ? "true" : "false");
            printf("  media_type:  %d\n", (int) listener->media_type);
            printf("\n");
        }
    }
    return 0;
}
